/*******************************************************
                Copyright Notice
        Copyright (c) 2002 Impulsesoft Pvt. Ltd.
                All rights reserved  
        Impulsesoft Proprietary And Confidential
 *******************************************************

 *******************************************************
 Name           :   Audio.h
 Description    :   This file declares functions used to
                    Access Bluetooth Audio data

 Module         :   Phone Gateway
 Author         :   Mayank
 Date           :   02/05/2003

 Revision No	:   $Revision: 1.7 $
 Changed On     :   $Date: 2003/10/10 05:17:39 $
 Changed By     :   $Author: kausik $
 *******************************************************/ 



#ifndef _AUDIO_H_
#define _AUDIO_H_


#define SPEED		8000

/* Define the supported Formats */
#define IPCOM_SND_FMT_PCM       1
#define IPCOM_SND_FMT_ULAW      2
#define IPCOM_SND_FMT_G729      3

#include <alsa/asoundlib.h>

#ifndef __cplusplus
#ifdef EXTERN
#undef EXTERN
#endif
#define EXTERN
typedef struct
{
   snd_pcm_t *playback;
   snd_pcm_info_t *playback_info;
   snd_pcm_t *capture;
   snd_pcm_info_t *capture_info;
} my_snd_pcm;
#else
#ifdef EXTERN
#undef EXTERN
#endif
#define EXTERN  extern "C"
#endif /* __cplusplus */
    
EXTERN int ReadFromAlsa(void *buf, int len);
EXTERN int WriteToAlsa(void *buf, int len);
EXTERN int StartAudio(int iFragment,int iFormat);
EXTERN int StopAudio(void);

#endif /* _AUDIO_H_ */
